%define name	yaz
%define version	2.0.4
%define release	1mdk

%define major 2
%define libname	%mklibname %{name} %{major}

Summary:	Z39.50 protocol support library
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	BSD-like
Group:		System/Libraries
Source0:	http://ftp.indexdata.dk/pub/yaz/%{name}-%{version}.tar.bz2
Patch0:		%{name}-libwrap-fix.patch.bz2
Patch1:		%{name}-link.patch.bz2
URL:		http://www.indexdata.dk/yaz/
BuildRequires:	libxml2-devel
BuildRequires:	tcp_wrappers-devel
BuildRequires:	openssl-devel
BuildRequires:	readline-devel
BuildRequires:	docbook-utils
BuildRequires:	docbook-dtd412-xml
BuildRequires:	docbook-style-dsssl
BuildRequires:	jade
BuildRequires:	jadetex
BuildRequires:	zlib-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
This package contains both a test-server and clients (normal &
ssl) for the ANSI/NISO Z39.50 protocol for Information Retrieval.

%package -n	%{libname}
Summary:	Z39.50 Library
Group:		System/Libraries
Requires:	openssl
Requires:	tcp_wrappers

%description -n	%{libname}
YAZ is a library for the ANSI/NISO Z39.50 protocol for Information
Retrieval.

%package -n	%{libname}-devel
Summary:	Z39.50 Library - development package
Group:		Development/C
Requires:	%{libname} = %{version}
BuildRequires:	libxml2-devel
BuildRequires:	openssl-devel
BuildRequires:	readline-devel
BuildRequires:	zlib-devel
Provides:	%{name}-devel
Provides:	lib%{name}-devel

%description -n %{libname}-devel
Development libraries and includes for the libyaz package.

%prep

%setup -q
%patch0 -p1
%patch1 -p1

%build
rm -f missing
libtoolize --copy --force; aclocal; autoconf; automake --add-missing

%configure2_5x \
	--enable-shared \
	--enable-tcpd \
	--with-openssl

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std

# fix installed docs
mv %{buildroot}%{_docdir}/yaz docs

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README LICENSE CHANGELOG TODO docs/*.html docs/*.png docs/*.pdf
%attr(755,root,root) %{_bindir}/yaz-client*
%attr(755,root,root) %{_bindir}/yaz-ztest*
%attr(755,root,root) %{_bindir}/zoomsh*
%{_mandir}/man1/yaz-client-ssl.*
%{_mandir}/man1/yaz-client.*
%{_mandir}/man1/zoomsh.*
%{_mandir}/man8/yaz-ztest-ssl.*
%{_mandir}/man8/yaz-ztest.*

%files -n	%{libname}
%defattr(-,root,root)
%{_libdir}/*.so.*
%{_mandir}/man7/yaz.*
%{_datadir}/yaz/etc

%files -n	%{libname}-devel
%defattr(-,root,root)
%attr(755,root,root) %{_bindir}/yaz-config
%attr(755,root,root) %{_bindir}/yaz-asncomp
%{_includedir}/yaz
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_datadir}/aclocal/yaz.m4
%{_datadir}/yaz/z39.50
%{_datadir}/yaz/ill
%{_mandir}/man1/yaz-asncomp.*
%{_mandir}/man8/yaz-config.*

%changelog
* Mon Nov 17 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.4-1mdk
- initial cooker contrib, used bits and pieces from the PLD package
